package com.fs.doc.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 回复对象 doc_record_reply
 * 
 * @author fs
 * @date 2023-01-09
 */
public class DocRecordReply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long replyId;

    /** 记录ID */
    @Excel(name = "记录ID")
    private Long recordId;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private Long companyId;

    /** 所属员工 */
    @Excel(name = "所属员工")
    private Long companyUserId;

    /** 内容 */
    @Excel(name = "内容")
    @NotNull(message = "回复内容不能为空")
    private String content;

    /** 图片 */
    @Excel(name = "图片")
    private String images;

    /** 视频 */
    @Excel(name = "视频")
    private String videos;

    private String productIds;

    public String getProductIds() {
        return productIds;
    }

    public void setProductIds(String productIds) {
        this.productIds = productIds;
    }

    public void setReplyId(Long replyId)
    {
        this.replyId = replyId;
    }

    public Long getReplyId() 
    {
        return replyId;
    }
    public void setRecordId(Long recordId) 
    {
        this.recordId = recordId;
    }

    public Long getRecordId() 
    {
        return recordId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyUserId(Long companyUserId) 
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId() 
    {
        return companyUserId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setImages(String images) 
    {
        this.images = images;
    }

    public String getImages() 
    {
        return images;
    }
    public void setVideos(String videos) 
    {
        this.videos = videos;
    }

    public String getVideos() 
    {
        return videos;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("replyId", getReplyId())
            .append("recordId", getRecordId())
            .append("companyId", getCompanyId())
            .append("companyUserId", getCompanyUserId())
            .append("content", getContent())
            .append("images", getImages())
            .append("videos", getVideos())
            .append("createTime", getCreateTime())
            .toString();
    }
}
